BEGIN ~JARENT~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 2
  IF ~~ THEN REPLY @3 GOTO 3
END

IF ~~ THEN BEGIN 1
  SAY @4
  IF ~~ THEN REPLY @5 GOTO 2
  IF ~~ THEN REPLY @6 GOTO 4
  IF ~~ THEN REPLY @7 GOTO 5
END

IF ~~ THEN BEGIN 2
  SAY @8
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3
  SAY @9
  IF ~~ THEN REPLY @10 GOTO 4
  IF ~~ THEN REPLY @11 GOTO 2
  IF ~~ THEN REPLY @12 GOTO 5
END

IF ~~ THEN BEGIN 4
  SAY @13
  IF ~~ THEN JOURNAL @14 EXIT
END

IF ~~ THEN BEGIN 5
  SAY @15
  IF ~~ THEN REPLY @16 GOTO 4
  IF ~~ THEN REPLY @17 GOTO 2
END

IF ~!PartyHasItem("CURELC01")
~ THEN BEGIN 6
  SAY @18
  IF ~~ THEN EXIT
END

IF ~PartyHasItem("CURELC01")
~ THEN BEGIN 7
  SAY @19
  IF ~~ THEN DO ~AddexperienceParty(4000)
ReputationInc(2)
TakePartyItem("CURELC01")
SetGlobal("RelicReturned","GLOBAL",1)
EscapeArea()
~ JOURNAL @20 EXIT
END
